Quassel IRC - Bug #500

Detection of forced disconnects takes very long (Freenode)
01/25/2009 10:04 AM - amiconn

Status: Resolved Start date: 01/25/2009
Priority: Normal Due date: 02/16/2009
Assignee: EgS % Done: 100%
Category: Quassel Core Estimated time: 1.00 hour
Target version: 0.4.0

Version: 0.3.1+ 0S: Any
Description

Whenever the internet connection is dropped by force (my ISP does this once per day), the core needs quite long to detect this
disconnect (15..20 minutes on Freenode). During the timeout period | can still write into any buffer; the text just goes nowhere,
without any indication that it didn't reach the server.

As discussed in #quassel, the solution is probably to make the core ping the server periodically, if no message(s) arrive from the
server within a certain interval. Monitoring the network activity of another IRC client has shown that it uses this method to quickly
detect disconnects even on Freenode, using a ping interval of approx. 30 seconds.

Associated revisions

Revision 32¢550d8f25392616de13fe761285ac13cf5e0d9 - 02/11/2009 03:27 PM - Marcus Eggenberger

fixes #500 - improved detection of disconnects from irc

Revision 32¢550d8 - 02/11/2009 03:27 PM - Marcus Eggenberger

fixes #500 - improved detection of disconnects from irc

History

#1 - 01/25/2009 11:59 PM - EgS
- Status changed from New to Confirmed

- Estimated time set to 1.00 h

Quassel already pings the IRC server periodically to determine the lag to the IRC network. (this is currently only visible in the tooltip of the network
item). Should be fairly easy to hook in there and disconnect after a given timeout.

#2 - 02/11/2009 01:17 AM - EgS

- Due date set to 02/16/2009

- Status changed from Confirmed to Assigned
- Assignee set to EgS

- Target version set to 0.4.0

- OS set to Any

#3 - 02/11/2009 03:28 PM - EgS
- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Applied in changeset 32¢550d8f25392616de13fe761285ac13cf5e0d9.
